# Splicer::Dynect

[![Code Climate](https://codeclimate.com/github/zippykid/splicer-dynect.png)](https://codeclimate.com/github/zippykid/splicer-dynect)

A Splicer adapter to interact with Dynect.


## Installation

```sh
gem install splicer
gem install splicer-dynect
```

## Using

It's fairly easy to set up. Simply register it with Splicer and everything
should work good.

```rb
Splicer.configure do |config|
  config.register(Splicer::Dynect::Config.new('customer','user','pass'))
end
```

## Testing

In order for the tests to work, your api credentials will need to be put into
`spec/keys.yml` with the following format:

```yaml
CUSTOMER: 'customername'
USERNAME: 'username'
PASSWORD: 'password'
```

This file is on the `.gitignore` list and **should not** be pushed to the repo.
If you do not provide your keys, the acceptance tests will be skipped.

## Contributing

  * Fork it
  * Create a feature branch
  * Submit a pull request
  * Wait for feedback and possible merge
